# Class DocumentEvent.EventType

java.lang.Object
javax.swing.event.DocumentEvent.EventType

Enclosing interface:
  `DocumentEvent`

public static final class DocumentEvent.EventType extends Object
Enumeration for document event types

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DocumentEvent.EventType`
`CHANGE`
Change type.
`static final DocumentEvent.EventType`
`INSERT`
Insert type.
`static final DocumentEvent.EventType`
`REMOVE`
Remove type.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Converts the type to a string.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### INSERT

public static final DocumentEvent.EventType INSERT
Insert type.

### REMOVE

public static final DocumentEvent.EventType REMOVE
Remove type.

### CHANGE

public static final DocumentEvent.EventType CHANGE
Change type.

## Method Details

### toString

public String toString()
Converts the type to a string.

Overrides:
  `toString` in class `Object`
Returns:
  the string